Bug 733848 - Review Request: octave-gsl - Octave bindings to the GNU Scientific Library
Review Request: octave-gsl - Octave bindings to the GNU Scientific Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-27 12:22 EDT by Susi Lehtola
Modified: 2011-09-09 13:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: octave-gsl-1.0.8-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-08 03:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
t.sailer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2011-08-27 12:22:23 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/octave-gsl.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/octave-gsl-1.0.8-1.fc15.src.rpm

Upstream URL:
http://octave.sourceforge.net/gsl/

Description:

The octave-gsl package provides an Octave binding to functions
in the Gnu Scientific Library, such as
* Airy functions
* Bessel functions
* Conical functions
* Debye functions
* Riemann Beta and Gamma functions
* Sine and cosine integrals
* Wigner coefficients 3-j, 6-j and 9-j coefficients

rpmlint output:

$ rpmlint /var/mock/fedora-15-x86_64/result/octave-gsl-*
octave-gsl.x86_64: W: obsolete-not-provided octave-forge
octave-gsl.x86_64: W: hidden-file-or-dir /usr/share/octave/packages/gsl-1.0.8/packinfo/.autoload
octave-gsl.x86_64: E: zero-length /usr/share/octave/packages/gsl-1.0.8/packinfo/.autoload
octave-gsl.x86_64: W: dangerous-command-in-%preun cp
3 packages and 0 specfiles checked; 1 errors, 3 warnings.

These are all expected from Octave packages.
Comment 1 Thomas Sailer 2011-08-27 17:11:51 EDT
Fedora review octave-gsl-1.0.8-1.fc15.src.rpm 2011-08-27

+ OK
! needs attention

+ rpmlint output
  The rpmlint warnings/errors listed above can be ignored and are normal
  for octave forge packages
+ Package is named according to Fedora Package Naming Guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  GPLv2+
+ License matches the actual package license
+ The package contains the license file
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
  9f45ab71dc77b57646d6bfab5984cccd  srpm/gsl-1.0.8.tar.gz
  9f45ab71dc77b57646d6bfab5984cccd  upstream/gsl-1.0.8.tar.gz

+ Package scratch-builds
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and
%postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

APPROVED by sailer.
Comment 2 Susi Lehtola 2011-08-27 21:18:46 EDT
Thomas: please mark the bug as assigned when you take a review. Thanks for the review!

New Package SCM Request
=======================
Package Name: octave-gsl
Short Description: Octave bindings to the GNU Scientific Library
Owners: jussilehtola
Branches: F-15 F-16
InitialCC:
Comment 3 Jon Ciesla 2011-08-29 08:06:10 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-08-29 09:15:01 EDT
octave-gsl-1.0.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/octave-gsl-1.0.8-1.fc16
Comment 5 Fedora Update System 2011-08-29 09:15:09 EDT
octave-gsl-1.0.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/octave-gsl-1.0.8-1.fc15
Comment 6 Fedora Update System 2011-08-30 16:37:58 EDT
octave-gsl-1.0.8-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 7 Fedora Update System 2011-09-08 03:08:02 EDT
octave-gsl-1.0.8-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 8 Fedora Update System 2011-09-09 13:00:30 EDT
octave-gsl-1.0.8-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.